Bug 968599 - Review Request: nodejs-esprima - ECMAScript parsing infrastructure for multipurpose analysis
Review Request: nodejs-esprima - ECMAScript parsing infrastructure for multip...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Miro Hrončok
Fedora Extras Quality Assurance
:
Depends On:
Blocks: nodejs-reviews 968596 968598
  Show dependency treegraph
 
Reported: 2013-05-29 18:44 EDT by Jamie Nguyen
Modified: 2013-06-18 16:44 EDT (History)
4 users (show)

See Also:
Fixed In Version: nodejs-esprima-1.0.3-2.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-03 06:57:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mhroncok: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jamie Nguyen 2013-05-29 18:44:32 EDT
Spec URL: http://jamielinux.fedorapeople.org/nodeunit/nodejs-esprima.spec
SRPM URL: http://jamielinux.fedorapeople.org/nodeunit/SRPMS/nodejs-esprima-1.0.3-1.fc19.src.rpm
Fedora Account System Username: jamielinux

Description:
ECMAScript parsing infrastructure for multipurpose analysis.
Comment 1 Miro Hrončok 2013-05-31 10:00:12 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated

===== Issues =====
Please explain the source of the manpages, consider downloading whole repo for tests following the Github rule (or explain why not to)

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: Package contains no bundled libraries without FPC exception.
     Note: There is bundled code for testing in Source1/test/3rdparty
     But it is not packaged to the binary package
     All test-related stuff is under Fedora approved licenses, so it is able to stay in SRPM
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 51200 bytes in 8 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[?]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
     
     Not sure, if you shouldn't apply Github rule for downlaoding tests
     http://fedoraproject.org/wiki/Packaging:SourceURL#Github
     
     Where are the manpages from?
     
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodejs-esprima-1.0.3-1.fc18.noarch.rpm
nodejs-esprima.noarch: W: only-non-binary-in-usr-lib
nodejs-esprima.noarch: W: no-manual-page-for-binary esvalidate.js
nodejs-esprima.noarch: W: no-manual-page-for-binary esparse.js
1 packages and 0 specfiles checked; 0 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint nodejs-esprima
nodejs-esprima.noarch: W: only-non-binary-in-usr-lib
nodejs-esprima.noarch: W: no-manual-page-for-binary esvalidate.js
nodejs-esprima.noarch: W: no-manual-page-for-binary esparse.js
1 packages and 0 specfiles checked; 0 errors, 3 warnings.
# echo 'rpmlint-done:'



Requires
--------
nodejs-esprima (rpmlib, GLIBC filtered):
    /usr/bin/env
    nodejs(engine)



Provides
--------
nodejs-esprima:
    nodejs-esprima
    npm(esprima)



Source checksums
----------------
http://registry.npmjs.org/esprima/-/esprima-1.0.3.tgz :
  CHECKSUM(SHA256) this package     : cd933a85928224fc8720f2ecea5e42f9271be1bbd7158f02112a89cf1c5b166c
  CHECKSUM(SHA256) upstream package : cd933a85928224fc8720f2ecea5e42f9271be1bbd7158f02112a89cf1c5b166c


Generated by fedora-review 0.4.0 (eaf16cd) last change: 2013-05-30
Buildroot used: fedora-18-x86_64
Command line :./try-fedora-review -b 968599

$ rpm -qlvp ./nodejs-esprima-1.0.3-1.fc18.noarch.rpm 
lrwxrwxrwx    1 root    root                       44 kvě 31 15:41 /usr/bin/esparse.js -> /usr/lib/node_modules/esprima/bin/esparse.js
lrwxrwxrwx    1 root    root                       47 kvě 31 15:41 /usr/bin/esvalidate.js -> /usr/lib/node_modules/esprima/bin/esvalidate.js
drwxr-xr-x    2 root    root                        0 kvě 31 15:41 /usr/lib/node_modules/esprima
drwxr-xr-x    2 root    root                        0 kvě 31 15:41 /usr/lib/node_modules/esprima/bin
-rwxr-xr-x    1 root    root                     4248 kvě 17 16:48 /usr/lib/node_modules/esprima/bin/esparse.js
-rwxr-xr-x    1 root    root                     6106 kvě 17 16:51 /usr/lib/node_modules/esprima/bin/esvalidate.js
-rw-r--r--    1 root    root                   124818 kvě 17 16:51 /usr/lib/node_modules/esprima/esprima.js
-rw-r--r--    1 root    root                      890 kvě 17 16:51 /usr/lib/node_modules/esprima/package.json
drwxr-xr-x    2 root    root                        0 kvě 31 15:41 /usr/share/doc/nodejs-esprima-1.0.3
-rw-r--r--    1 root    root                      829 kvě 17 16:51 /usr/share/doc/nodejs-esprima-1.0.3/ChangeLog
-rw-r--r--    1 root    root                     1231 kvě 17 16:48 /usr/share/doc/nodejs-esprima-1.0.3/LICENSE.BSD
-rw-r--r--    1 root    root                     4358 kvě 17 16:51 /usr/share/doc/nodejs-esprima-1.0.3/README.md
drwxr-xr-x    2 root    root                        0 kvě 31 15:41 /usr/share/doc/nodejs-esprima-1.0.3/doc
-rw-r--r--    1 root    root                    17790 kvě 17 16:51 /usr/share/doc/nodejs-esprima-1.0.3/doc/index.html
drwxr-xr-x    2 root    root                        0 kvě 31 15:41 /usr/share/doc/nodejs-esprima-1.0.3/examples
-rw-r--r--    1 root    root                     3096 kvě 17 16:48 /usr/share/doc/nodejs-esprima-1.0.3/examples/detectnestedternary.js
-rw-r--r--    1 root    root                     5139 kvě 17 16:48 /usr/share/doc/nodejs-esprima-1.0.3/examples/findbooleantrap.js
-rw-r--r--    1 root    root                      684 kvě 17 16:48 /usr/share/doc/nodejs-esprima-1.0.3/examples/tokendist.js
-rw-r--r--    1 root    root                     4889 kvě 17 16:51 /usr/share/doc/nodejs-esprima-1.0.3/index.html
-rw-r--r--    1 root    root                      379 kvě 29 19:59 /usr/share/man/man1/esparse.1.gz
-rw-r--r--    1 root    root                      253 kvě 29 19:59 /usr/share/man/man1/esvalidate.1.gz
Comment 2 Jamie Nguyen 2013-05-31 10:34:50 EDT
Thanks for the review!

Spec URL: http://jamielinux.fedorapeople.org/nodeunit/nodejs-esprima.spec
SRPM URL: http://jamielinux.fedorapeople.org/nodeunit/SRPMS/nodejs-esprima-1.0.3-1.fc19.src.rpm

* Fri May 31 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.0.3-2
- add comment about how man pages were generated
- add comment about downloading of test directory


It seems to me that the GitHub guidelines are there more to prevent use of the auto-generated tarballs, so I'm not sure it really applies in this case.
Comment 3 Miro Hrončok 2013-05-31 14:37:43 EDT
Package approved.
Comment 4 Jamie Nguyen 2013-05-31 14:40:47 EDT
New Package SCM Request
=======================
Package Name: nodejs-esprima
Short Description: ECMAScript parsing infrastructure for multipurpose analysis
Owners: jamielinux patches
Branches: f18 f19 el6
InitialCC:
Comment 5 Gwyn Ciesla 2013-06-03 06:28:10 EDT
Git done (by process-git-requests).
Comment 6 Fedora Update System 2013-06-03 06:54:54 EDT
nodejs-esprima-1.0.3-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nodejs-esprima-1.0.3-2.fc19
Comment 7 Fedora Update System 2013-06-03 06:55:27 EDT
nodejs-esprima-1.0.3-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/nodejs-esprima-1.0.3-2.fc18
Comment 8 Fedora Update System 2013-06-03 06:55:57 EDT
nodejs-esprima-1.0.3-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/nodejs-esprima-1.0.3-2.el6
Comment 9 Fedora Update System 2013-06-17 21:30:06 EDT
nodejs-esprima-1.0.3-2.fc18 has been pushed to the Fedora 18 stable repository.
Comment 10 Fedora Update System 2013-06-18 02:10:32 EDT
nodejs-esprima-1.0.3-2.fc19 has been pushed to the Fedora 19 stable repository.
Comment 11 Fedora Update System 2013-06-18 16:44:26 EDT
nodejs-esprima-1.0.3-2.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.